Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-07-2020 21:34:13

dropforged
Membre
Lieu : Nord Isère
Distrib. : Debian Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : XFCE
Inscription : 08-03-2015
Site Web

[RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

Bonsoir à tous

J'utilise depuis toujours le logiciel cherrytree, qui m'est vraiment indispensable.

Jusqu'a présent, je télécharger l'archive, par exemple cherrytree-0.39.4.tar.xz, puis je l'installée, mais cela m'obligé à surveiller l'apparition des nouvelles version.

Bref, j'ai vu sur le site https://www.giuspen.com/cherrytree/#downl qu'un PPA était disponible : ppa:giuspen/ppa

J'ai installé software-properties-common

sudo apt-get install software-properties-common



Pas de problème, puis quand j'ai voulus installer le ppa :

sudo add-apt-repository ppa:giuspen/ppa



J'ai

sudo add-apt-repository ppa:giuspen/ppa
 
 More info: https://launchpad.net/~giuspen/+archive/ubuntu/ppa
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: le trousseau local « /tmp/tmp4bl_fgcb/pubring.gpg » a été créé
gpg: /tmp/tmp4bl_fgcb/trustdb.gpg : base de confiance créée
gpg: clef B8668B055FE1EFE4 : clef publique « Launchpad PPA for giuspen » importée
gpg:       Quantité totale traitée : 1
gpg:                     importées : 1
gpg: aucune donnée OpenPGP valable n'a été trouvée.
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib/python3.7/threading.py", line 917, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.7/threading.py", line 865, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 688, in addkey_func
    func(**kwargs)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 386, in add_key
    return apsk.add_ppa_signing_key()
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 273, in add_ppa_signing_key
    cleanup(tmp_keyring_dir)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 234, in cleanup
    shutil.rmtree(tmp_keyring_dir)
  File "/usr/lib/python3.7/shutil.py", line 491, in rmtree
    _rmtree_safe_fd(fd, path, onerror)
  File "/usr/lib/python3.7/shutil.py", line 449, in _rmtree_safe_fd
    onerror(os.unlink, fullname, sys.exc_info())
  File "/usr/lib/python3.7/shutil.py", line 447, in _rmtree_safe_fd
    os.unlink(entry.name, dir_fd=topfd)
FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: 'S.gpg-agent.extra'
 



Puis quand je tente de faire une mise à jour

sudo apt update
Atteint :1 http://deb.debian.org/debian buster InRelease
Atteint :2 http://security.debian.org/debian-security buster/updates InRelease
Ign :3 http://ppa.launchpad.net/giuspen/ppa/ubuntu groovy InRelease  
Réception de :4 http://deb.debian.org/debian buster-updates InRelease [51,9 kB]
Err :5 http://ppa.launchpad.net/giuspen/ppa/ubuntu groovy Release                          
  404  Not Found [IP : 2001:67c:1560:8008::15 80]
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/giuspen/ppa/ubuntu groovy Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.



J'ai essayé de regarder le manuel https://manpages.debian.org/stretch/apt … .8.fr.html, mais j'avoue que j'ai peur de faire des bêtises sur ma debian qui va si bien...

Quelqu'un pourrait-il me donner un coup de main wink

Dernière modification par dropforged (06-07-2020 20:10:20)

Hors ligne

#2 05-07-2020 22:06:39

cyrille
Adhérent(e)
Distrib. : SID + FreeBSD
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

C'est un ppa ubuntu pas debian... En plus ubuntu 20 ...
ça ne passera pas
Ils mettent un deb à dispo, essaie plutôt  cette voie

Hors ligne

#3 06-07-2020 08:10:48

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

Hello
le fichier deb ne passera pas non plus, il manque des dépendances et il ne pourra s'installer

rapport Gdebi a écrit :

W: cherrytree: debian-changelog-line-too-long line 6
W: cherrytree: debian-changelog-line-too-long line 7
E: cherrytree: debian-revision-should-not-be-zero 0.39.4-0
E: cherrytree: python-package-missing-depends-on-python
E: cherrytree: python-script-but-no-python-dep usr/bin/cherrytree #!/usr/bin/python
E: cherrytree: missing-dep-for-interpreter python2 => python:any | python-minimal:any | python2:any | python2-minimal:any (usr/share/cherrytree/glade/svg_to_png.py) #!python2
W: cherrytree: maintainer-script-ignores-errors postinst

Lintian finished with exit status 1



tu peux t'orienter vers la version Snap ou Flatpak qui fonctionne bien hormis la correction orthographique
pour ma par j'utilise toujours la version qui était disponible dans Sid et qui a depuis disparu

https://debian-facile.org/doc:systeme:flatpak
https://flathub.org/apps/details/com.giuspen.cherrytree

https://debian-facile.org/doc:systeme:snap

Dernière modification par Croutons (06-07-2020 08:38:40)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 06-07-2020 16:40:51

dropforged
Membre
Lieu : Nord Isère
Distrib. : Debian Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : XFCE
Inscription : 08-03-2015
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

cyrille a écrit :

C'est un ppa ubuntu pas debian... En plus ubuntu 20 ...
ça ne passera pas
Ils mettent un deb à dispo, essaie plutôt  cette voie



D'après ce qui est écrit sur le site, ce n'est pas pour Ubuntu 20 :

dwiz.png

Bref, si ce ppa ne fonctionne pas, tant pis

Croutons a écrit :

pour ma par j'utilise toujours la version qui était disponible dans Sid et qui a depuis disparu



J'utilise la version 0.37.6-1 en suivant la procédure décrite ici : https://debian-facile.org/doc:systeme:cherrytree

En partant de l'archive tar.gz et en installant les dépendances nécessaire, ça va nickel.

Je vais essayer de faire la même chose avec la version 0.39, je vous tiens au jus...

En tout cas, merci pour votre aide wink

Hors ligne

#5 06-07-2020 17:46:06

cyrille
Adhérent(e)
Distrib. : SID + FreeBSD
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

dropforged a écrit :


D'après ce qui est écrit sur le site, ce n'est pas pour Ubuntu 20 :



Je n'ai pas lu le site simplement le message d'erreur que tu as mis

Le dépôt http://ppa.launchpad.net/giuspen/ppa/ubuntu groovy Release n'a pas de fichier Release.


Dans lequel je lis ubuntu groovy

Hors ligne

#6 06-07-2020 17:59:59

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.8.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

cyrille , pour cherrytree , ya çà :  -- cherry tree -- (non testé)

Dernière modification par Debian Alain (06-07-2020 18:14:17)

En ligne

#7 06-07-2020 18:16:33

dropforged
Membre
Lieu : Nord Isère
Distrib. : Debian Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : XFCE
Inscription : 08-03-2015
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

Debian Alain a écrit :

cyrille , pour cherrytree , ya çà :  -- cherry tree --



C'est le lien que je donnais dans le message juste au dessus wink

Cyrille a écrit :

Je n'ai pas lu le site simplement le message d'erreur que tu as mis

Le dépôt http://ppa.launchpad.net/giuspen/ppa/ubuntu groovy Release n'a pas de fichier Release.

Dans lequel je lis ubuntu groovy



Bien vu, tu as raison Cyrille, il doit y avoir une erreur sur le site.

Dernière modification par dropforged (06-07-2020 18:16:46)

Hors ligne

#8 06-07-2020 18:27:25

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.8.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

testé avec flatpak :

-- installer flatpak --

-- installer cherrrytree (sous flatpak) --

parfait .

Dernière modification par Debian Alain (06-07-2020 18:55:51)

En ligne

#9 06-07-2020 20:09:54

dropforged
Membre
Lieu : Nord Isère
Distrib. : Debian Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : XFCE
Inscription : 08-03-2015
Site Web

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

Effectivement flatpak reste une solution, sinon j'ai mis à jour en version 0.39.4-0 en utilisant le fichier .deb, voila comment j'ai procédé si ça peu rendre service à quelqu'un

Télécharger les dépendances :

sudo apt install p7zip-full python-dbus python-enchant python-chardet python-gtk2 dh-python libatk1.0-0 libcairo2 libfontconfig1 libfreetype6 libgdk-pixbuf2.0-0 libglib2.0-0 libgtk2.0-0 libgtksourceview2.0-0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 python-gobject-2 libgtksourceview2.0-dev devscripts cdbs gnome-pkg-tools  python-gobject-2-dev  python-gtk2-dev  xsltproc gtk-doc-tools  python-gtk2-doc python-all-dev





Télécharger la dernière version sur https://www.giuspen.com/cherrytree/#downl

Exemple : cherrytree_0.39.4-0_all.deb

Se placer dans le dossier ou le fichier .deb est téléchargé

sudo dpkg -i cherrytree_0.39.4-0_all.deb

Le tour est joué.

Hors ligne

#10 07-07-2020 07:34:40

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [RESOLU] apt-secure(8) pour PPA giuspen (logiciel cherrytree)

merci pour le retour , je colle l'astuce dans mes notes smile

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums